Package org.springframework.security.config.annotation.web.configuration

# Interface WebSecurityCustomizer

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public interface WebSecurityCustomizer
Callback interface for customizing `WebSecurity`. Beans of this type will automatically be used by `WebSecurityConfiguration` to customize `WebSecurity`. Example usage:

     @Bean
     public WebSecurityCustomizer ignoringCustomizer() {
            return (web) -> web.ignoring().requestMatchers("/ignore1", "/ignore2");
     }

Since:
  5.4

## Method Summary

Modifier and Type
Method
Description
`void`
`customize(WebSecurity web)`
Performs the customizations on `WebSecurity`.

## Method Details

### customize

void customize(WebSecurity web)
Performs the customizations on `WebSecurity`.

Parameters:
  `web` - the instance of `WebSecurity` to apply to customizations to